package com.oreilly.jent.javamail;

/**
 * In general, you may use the code in this book in your programs and 
 * documentation. You do not need to contact us for permission unless 
 * you're reproducing a significant portion of the code. For example, 
 * writing a program that uses several chunks of code from this book does 
 * not require permission. Selling or distributing a CD-ROM of examples 
 * from O'Reilly books does require permission. Answering a question by 
 * citing this book and quoting example code does not require permission. 
 * Incorporating a significant amount of example code from this book into 
 * your product's documentation does require permission.
 * 
 * We appreciate, but do not require, attribution. An attribution usually 
 * includes the title, author, publisher, and ISBN. For example: 
 * 
 *   "Java Enterprise in a Nutshell, Third Edition, 
 *    by Jim Farley and William Crawford 
 *    with Prakash Malani, John G. Norman, and Justin Gehtland. 
 *    Copyright 2006 O'Reilly Media, Inc., 0-596-10142-2."
 *  
 *  If you feel your use of code examples falls outside fair use or the 
 *  permission given above, feel free to contact us at 
 *  permissions@oreilly.com.
 */

import javax.mail.Authenticator;
import javax.mail.Folder;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.Store;
import javax.mail.URLName;

public class MailCheck { 
  static String mailhost = "mail.college.edu"; 
  
  public static void main(String[] args) { 
    Session session = 
      Session.getDefaultInstance(System.getProperties(  ), 
                                 new myAuthenticator(  )); 
    try { 
      Store imapStore = 
        session.getStore(new URLName("imap://" + mailhost)); 
      imapStore.connect(  ); 
      System.out.println(imapStore.getURLName(  )); 
      // Get a default folder, and use it to open a real folder 
      Folder defaultFolder = imapStore.getDefaultFolder(  ); 
      defaultFolder = defaultFolder.getFolder("INBOX"); 
      defaultFolder.open(Folder.READ_WRITE); 
      
      Message[] msgs = defaultFolder.getMessages(  ); 
      if (msgs != null) 
        for (int i = 0; i < msgs.length; i++) { 
          System.out.println(msgs[i].getSubject(  )); 
        } 
      
      // Now, get it with POP3, using authenticator 
      Store popStore = session.getStore("pop3"); 
      popStore.connect(mailhost, null, null);
      // Get a default folder, and use it to open a real folder 
      Folder defaultPopFolder = popStore.getDefaultFolder(  ); 
      defaultPopFolder = defaultPopFolder.getFolder("INBOX"); 
      defaultPopFolder.open(Folder.READ_ONLY); 
      
      msgs = defaultPopFolder.getMessages(  ); 
      if(msgs != null) 
        for (int i = 0; i < msgs.length; i++) { 
          System.out.println(msgs[i].getSubject(  )); 
        } 
    } 
    catch (MessagingException me) { 
      me.printStackTrace(System.out); 
    } 
  } // End main(  ) 
} 

class myAuthenticator extends Authenticator { 
  protected PasswordAuthentication getPasswordAuthentication(  ) { 
    return new PasswordAuthentication("mailname", "test"); 
  } 
} 
